Subject: [alpine-aports] [PATCH 1/1] testing/libinput: upgrade to 1.4.2

From: Daniel Sabogal <[email-masked]>
Date: Wed, 31 Aug 2016 22:27:56 -0400

---
 testing/libinput/APKBUILD | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

diff --git a/testing/libinput/APKBUILD b/testing/libinput/APKBUILD
index 960fb64..679213c 100644
--- a/testing/libinput/APKBUILD
+++ b/testing/libinput/APKBUILD
@@ -1,22 +1,20 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer:
 pkgname=libinput
-pkgver=1.4.1
+pkgver=1.4.2
 pkgrel=0
 pkgdesc="Library for handling input devices"
 url="http://www.freedesktop.org/wiki/Software/libinput/"
 arch="all"
 license="custom"
 depends=""
-depends_dev=""
 makedepends="mtdev-dev eudev-dev libevdev-dev grep"
-install=""
 subpackages="$pkgname-dev $pkgname-doc"
 source="http://freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
 
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -30,11 +28,10 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
 
-md5sums="2e7ba577ed74d8d1baeb07dbd4fb912a  libinput-1.4.1.tar.xz"
-sha256sums="26e7b3ab499358caba499705680ea7e5851af2bd37dc32f2be64181610d6392a  libinput-1.4.1.tar.xz"
-sha512sums="4f5c580db54c12e85f24356ffa1b10ee2322c769da707393900a089ea6b71ce5bbb1786e8a8ee544f2ee52d0974a410ed5756cb7b6a6570a66f84420315df2e2  libinput-1.4.1.tar.xz"
+md5sums="56b72e47362938f12ab3267cae764dd3  libinput-1.4.2.tar.xz"
+sha256sums="8c38826a785594811bef6a9daadbfa2e172e3f070f8863393d6fb7ca4c68e451  libinput-1.4.2.tar.xz"
+sha512sums="ecd1ddc737b8207d9e494f809340e2c0ac2927db80cf4c325ba12fb84387138d0128df7e841c87feafe425d6382f87f123f28531f7045fbcdd1176559895b79b  libinput-1.4.2.tar.xz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---